| Home | Libraries | People | FAQ | More

## Struct template is_vector_type

boost::compute::is_vector_type

## Synopsis

    // In header: <boost/compute/type_traits/is_vector_type.hpp>

    template<typename T>
    struct is_vector_type :
      public boost::mpl::bool_< vector_size< T >::value!=1 >
    {
    };

## Description

Meta-function returning `true` if `T` is a vector type.

For example,

    is_vector_type<int>::value == false
    is_vector_type<float4_>::value == true

See Also:

make_vector_type, vector_size